Bug 238795 - [Dell/LSI-E 4.6 bug] I/O terminates on linux system due to Out Of Memory
[Dell/LSI-E 4.6 bug] I/O terminates on linux system due to Out Of Memory
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.4
All Linux
medium Severity high
: ---
: ---
Assigned To: Mike Christie
: OtherQA
Depends On:
Blocks: 217099 245823 246028 248673
  Show dependency treegraph
 
Reported: 2007-05-02 18:58 EDT by khtan
Modified: 2010-10-22 10:41 EDT (History)
8 users (show)

See Also:
Fixed In Version: RHBA-2007-0791
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-15 11:26:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
RPM with patch fixing the issue. (114.10 KB, audio/x-pn-realaudio-plugin)
2007-05-02 18:58 EDT, khtan
no flags Details
Patch. (47.88 KB, application/octet-stream)
2007-06-26 16:16 EDT, khtan
no flags Details
do not set limit on bounce buffers (482 bytes, patch)
2007-06-26 17:51 EDT, Mike Christie
no flags Details | Diff

  None (edit)
Description khtan 2007-05-02 18:58:42 EDT
Description of problem:
On a simplex iSCSI target configuration, running stress on the created(RAID-1)
partition on linux, terminates after ~2 minutes. The systems that exhibits this
behavior has memory > 4GB. On system that has less memory, the I/O tool do not
exhibit this failure. The failure was root caused as insufficient bounce buffer
used by the linux-iscsi modules on system with memory greater than 4GB.


Version-Release number of selected component (if applicable):


How reproducible:
Always.

Steps to Reproduce:
1. Use system with memory > 4GB.
2. Run I/Os with IOmonkey I/O tool to iSCSI devices.
  
Actual results:
I/O stopped.

Expected results:
I/O keeps on running.

Additional info:
Issue was root caused to be insufficient bounce buffer. Modification was made 
to the iSCSI modules to be 64-bit devices.
Comment 1 khtan 2007-05-02 18:58:43 EDT
Created attachment 153999 [details]
RPM with patch fixing the issue.
Comment 2 Mike Christie 2007-05-03 11:48:24 EDT
I thougt I commented on this one. Maybe it is a dup or I forgot to hit save :)

Could you just attached the patch? You do not need to go to the trouble of
adding a rpm. The patch is fine.
Comment 3 khtan 2007-06-26 16:16:08 EDT
Created attachment 157949 [details]
Patch.
Comment 7 Mike Christie 2007-06-26 16:55:55 EDT
+static u64 iscsi_dma_mask = -1LL;
+
+/* iscsi can do I/O to all pages */
+static struct platform_device iscsi_dev =
+{
+  	.name = "iscsi",
+	.id = 0,
+	.dev = {
+		.dma_mask = &iscsi_dma_mask,
+		.coherent_dma_mask = -1LL
+	},

The platform device addition does not look so nice but may be our only option.
This is a bug in RHEL5 too and with ib_iser. I will clone this bug for RHEL5.

Let me see what else we can come up with.

Thanks. Also you might want to diff against the same source you are using in the
future. So for kernel patches diff agaisnt the kernel rpm source and not the
kernel code in the iscsi-initiator-utils package since that is not up to date.


Comment 9 RHEL Product and Program Management 2007-06-26 17:14:22 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 10 Mike Christie 2007-06-26 17:51:08 EDT
Created attachment 157961 [details]
do not set limit on bounce buffers

This patch should fix the issue and be upstream acceptable.

You can use this patch with the current RHEL4 source or get the kernel of the
day here
http://people.redhat.com/~jbaron/rhel4/

Please try it out and let me know.
Comment 13 Jason Baron 2007-07-25 10:18:47 EDT
committed in stream U6 build 55.22. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/
Comment 14 Charles Rose 2007-07-27 04:31:45 EDT
Latest Update from Marco Peereboom@Dell: "The fix isn't correct; it seems as if
it isn't done in the right spot.  I have a fix that makes the dma mask -1(ull)
which basically fixes the issue for real."
Comment 15 Andrius Benokraitis 2007-07-27 09:56:31 EDT
Marco - can you please attach your proposed patch for Mike to take a look at?
Comment 17 Larry Troan 2007-08-02 09:31:30 EDT
Changing to NEEDINFO: marco_peereboom@dell.com awaiting patch from him.
Comment 19 Andrius Benokraitis 2007-08-28 09:29:26 EDT
Marco Peereboom @ Dell - Any updates? Without comments we'll have to close this
issue shortly.
Comment 20 John Poelstra 2007-08-29 13:45:46 EDT
A fix for this issue should have been included in the packages contained in the
RHEL4.6 Beta released on RHN (also available at partners.redhat.com).  

Requested action: Please verify that your issue is fixed to ensure that it is
included in this update release.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to FAILS_QA.

If you cannot access bugzilla, please reply with a message to Issue Tracker and
I will change the status for you.  If you need assistance accessing
ftp://partners.redhat.com, please contact your Partner Manager.
Comment 21 Don Domingo 2007-08-31 00:29:34 EDT
this bug has been tagged for inclusion in the RHEL4.6 release notes under
"Driver Updates".

please post the following:
- name of updated driver
- new version of updated driver
- fix applied / bug fixed

thanks!
Comment 22 John Poelstra 2007-09-05 18:27:47 EDT
A fix for this issue should have been included in the packages contained in 
the RHEL4.6-Snapshot1 on partners.redhat.com.  

Requested action: Please verify that your issue is fixed to ensure that it is 
included in this update release.

After you (Red Hat Partner) have verified that this issue has been addressed, 
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent 
symptoms of the problem you are having and change the status of the bug to 
FAILS_QA.

If you cannot access bugzilla, please reply with a message about your test 
results to Issue Tracker.  If you need assistance accessing 
ftp://partners.redhat.com, please contact your Partner Manager.
Comment 23 John Poelstra 2007-09-11 20:43:56 EDT
A fix for this issue should be included in RHEL4.6-Snapshot2--available soon on
partners.redhat.com.  

Please verify that your issue is fixed to ensure that it is included in this
update release.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to FAILS_QA.

If you cannot access bugzilla, please reply with a message about your test
results to Issue Tracker.  If you need assistance accessing
ftp://partners.redhat.com, please contact your Partner Manager.
Comment 24 John Poelstra 2007-09-20 00:31:51 EDT
A fix for this issue should have been included in the packages contained in the
RHEL4.6-Snapshot3 on partners.redhat.com.  

Please verify that your issue is fixed to ensure that it is included in this
update release.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to FAILS_QA.

If you cannot access bugzilla, please reply with a message about your test
results to Issue Tracker.  If you need assistance accessing
ftp://partners.redhat.com, please contact your Partner Manager.
Comment 25 John Poelstra 2007-09-26 19:37:00 EDT
A fix for this issue should be included in the packages contained in
RHEL4.6-Snapshot4--available now on partners.redhat.com.  

Please verify that your issue is fixed ASAP to ensure that it is included in
this update release.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to FAILS_QA.

If you cannot access bugzilla, please reply with a message about your test
results to Issue Tracker.  If you need assistance accessing
ftp://partners.redhat.com, please contact your Partner Manager.
Comment 26 John Poelstra 2007-10-04 22:59:04 EDT
A fix for this issue should be included in the packages contained in
RHEL4.6-Snapshot5--available now on partners.redhat.com.  

Please verify that your issue is fixed ASAP to ensure that it is included in
this update release.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to FAILS_QA.

If you cannot access bugzilla, please reply with a message about your test
results to Issue Tracker.  If you need assistance accessing
ftp://partners.redhat.com, please contact your Partner Manager.
Comment 27 John Poelstra 2007-10-10 23:10:38 EDT
A fix for this issue should be included in the packages contained in
RHEL4.6-Snapshot6--available now on partners.redhat.com.  

Please verify that your issue is fixed ASAP to ensure that it is included in
this update release.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to FAILS_QA.

If you cannot access bugzilla, please reply with a message about your test
results to Issue Tracker.  If you need assistance accessing
ftp://partners.redhat.com, please contact your Partner Manager.
Comment 28 John Poelstra 2007-10-18 14:54:37 EDT
A fix for this issue should be included in the packages contained in 
RHEL4.6-Snapshot7--available now on partners.redhat.com.  

IMPORTANT: This is the last opportunity to confirm that your issue is fixed in 
the RHEL4.6 update release.

After you (Red Hat Partner) have verified that this issue has been addressed, 
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent 
symptoms of the problem you are having and change the status of the bug to 
FAILS_QA.

If you cannot access bugzilla, please reply with a message about your test 
results to Issue Tracker.  If you need assistance accessing 
ftp://partners.redhat.com, please contact your Partner Manager.
Comment 30 errata-xmlrpc 2007-11-15 11:26:07 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0791.html

Note You need to log in before you can comment on or make changes to this bug.